# Generated from spectest-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spectest

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Acceptance Test Specification and Execution Framework
License: MIT
URL: https://github.com/jnyman/spectest
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rspec) >= 2.7.0
# BuildRequires: rubygem(cucumber) >= 1.1.2
# BuildRequires: rubygem(simplecov) >= 0.5.4
BuildArch: noarch

%description
Test framework for specifying tests and executing tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/spec
%{gem_instdir}/specs
%{gem_instdir}/spectest.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.4-1
- Initial package
